Runners
Retrieve runner status
Returns NOT_FOUND if the runner does not exist. If the runner exists but has not heartbeated yet, health_status will be PENDING and status will be absent.
Scope: runner:read
Authorization
bearerAuth AuthorizationBearer <token>
Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer adm_pat_...
In: header
Path Parameters
runner_id*runner_id
The unique identifier of the runner (UUID).
Format
uuidResponse Body
application/json
curl -X GET "https://admiral.example.com/api/v1/runners/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"{ "health_status": "RUNNER_HEALTH_STATUS_UNSPECIFIED", "status": { "version": "string", "active_jobs": 0, "max_concurrent_jobs": 0, "available_providers": [ "string" ], "tool_versions": { "property1": "string", "property2": "string" }, "active_job_details": [ { "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f", "phase": "JOB_PHASE_UNSPECIFIED", "started_at": "2023-01-15T01:30:15.01Z" } ] }, "reported_at": "2023-01-15T01:30:15.01Z"}